OIDCConfiguration

OIDC OP support in Shibboleth is available via a plugin requiring V4.1+ of the IdP. This plugin is version 3.0.0 rather than 1.0.0 to reflect its history, as most of the code remains the same from earlier versions.

This version includes some breaking changes to the configuration from earlier pre-plugin versions, as part of finalizing the package names of the code and the XML namespaces of the schemas used. Future plugins should remain largely, if not completely, compatible with the

The older version 2.0 that supports IdP V4.0 remains documented separately but will not be maintained going forward as IdP V4.0 is now retired with the release of V4.1 in accordance with standard project policy.